<?php
/**
 * YellowCube PrestaShop Modul
 *
 * Entwicklung: 	Zangger Websolutions
 * Web:			www.ihrewebagentur.ch
 * Projekt:		www.yellowcube.ihrewebagentur.ch
 * @version:		4.0
 */


class Common
{
    /**
     * Create a yellowcube conform timestamp
     * @param mixed $timeStamp timestamp
     * @return string concatenated timestamp
     **/
    public static function createDateFromTimeStamp($timeStamp)
    {
        $dateTimeArray = date_parse($timeStamp);

        $day_new = ($dateTimeArray['day'] < 10 ? '0'.$dateTimeArray['day'] : $dateTimeArray['day']);
        $month_new = ($dateTimeArray['month'] < 10 ? '0'.$dateTimeArray['month'] : $dateTimeArray['month']);
        $hour_new = ($dateTimeArray['hour'] < 10 ? '0'.$dateTimeArray['hour'] : $dateTimeArray['hour']);
        $minute_new = ($dateTimeArray['minute'] < 10 ? '0'.$dateTimeArray['minute'] : $dateTimeArray['minute']);

        return $day_new.".".$month_new.".".$dateTimeArray['year']." ".$hour_new.":".$minute_new;
    }
}
