<?php
/**
 * YellowCube PrestaShop Modul
 *
 * Entwicklung: 	Zangger Websolutions
 * Web:			www.ihrewebagentur.ch
 * Projekt:		www.yellowcube.ihrewebagentur.ch
 * @version:		4.0
 */


class Constants
{
    const SENDER = 'SENDER';
    const VERSION = 'VERSION';
    const DEPOSITOR_NO = 'DEPOSITOR_NO';
    const PARTNER_TYPE = 'PARTNER_TYPE';
    const PARTNER_NO = 'PARTNER_NO';
    const RECEIVER  = 'RECEIVER';
    const PLANT = 'PLANT';
    const QUANTITY_ISO = 'QUANTITY_ISO';
    const OPERATINGMODE = 'OPERATINGMODE';
    const DELIVERYATT = 'DELIVERY_ATTACHMENT';
    const AL = '[addressline]';
    const WABCRON = 'WABCRON';
    const YELLOWCUBESHIPPEDID = 'YELLOWCUBEACCEPTEDID';
    const LASTBARSYNC = 'LASTBARSYNC';
    const YCBARSYNC = 'YCBARSYNC';


    /*YELLOWCUBE*/
    const YCVERSION = '2.0';
    const STATUSOK = 'OK';
    const STATUSNOK = 'NOT OK';

    /*YELLOWCUBE System*/
    const WSDLURL = 'https://service-test.swisspost.ch/apache/yellowcube-int/?wsdl';
    const CERTIFICATIONNAME = '/cert.pem';

    /*CSV*/
    const PAYMENTFILENAME = 'payment.csv';
    const STATUSFILENAME = 'orderstatus.csv';
    const SHIPPINGFILENAME = 'shippingproducts.csv';
    const CRONWABFILENAME = 'cronwaborderstatus.csv';
    const STATE = 'YellowCubeDelivery';

    /*Email*/
    const TEMPLATENAME = 'tracking';
    const TEMPLATENAMEBAR = 'bar';

    /*PDF*/
    const DOCTYPE = 'LS';
    const DOCMIMETYPE = 'pdf';

    /*TAB*/
    const TABCLASSNAME = 'YellowCubeTabNameBar';
    const TABPARENTNAME = 'AdminCatalog';
    const TABPARENTNAMEORDERS = 'AdminParentOrders';
    const TABNAME = 'YellowCube Inventory';

    /*WABCRON*/
    const YELLOWCUBESHIPPED = 'YellowCubeAccepted';

    /*ART*/
    const ALTNUMERATORUOM = '10';
    const ALTDENOMINATORUOM = '1';
    const ISOWEIGHT = 'KGM';
    const ISOLENGTH = 'CMT';
    const ISOWIDTH = 'CMT';
    const ISOHEIGHT = 'CMT';
    const ISOVOLUME = 'CMQ';
    const EANTYPE = 'HE';

    /*COMMON*/
    const TIMESTAMPFORMAT = "d.m.y H:i";
}
