<?php
/**
 * YellowCube PrestaShop Modul
 *
 * Entwicklung: 	Zangger Websolutions
 * Web:			www.ihrewebagentur.ch
 * Projekt:		www.yellowcube.ihrewebagentur.ch
 * @version:		4.0
 */


class Bar extends ObjectModel
{
    public $presta_reference = '';
    public $description = '';
    public $presta_stock = 0;
    public $yellowcube_stock = 0;
    public $pending_wab = 0;
    public $difference = 0;
    public $statuscode = 0;
    public $statustext = "";
    public $state = 0;
    public $isChecked = false;

    /**
     * @see ObjectModel::$definition
     */
    public static $definition = array(
        'table' => 'yellowcube_bar',
        'primary' => 'id',
        'fields' => array(
            'presta_reference' => array('type' => self::TYPE_STRING, 'required' => true),
            'description' => array('type' => self::TYPE_STRING, 'required' => false),
            'presta_stock' => array('type' => self::TYPE_STRING, 'required' => false),
            'yellowcube_stock' => array('type' => self::TYPE_STRING, 'required' => false),
            'pending_wab' => array('type' => self::TYPE_STRING, 'required' => false),
            'difference' => array('type' => self::TYPE_STRING, 'required' => false),
            'statuscode' => array('type' => self::TYPE_INT, 'required' => false),
            'statustext' => array('type' => self::TYPE_STRING, 'required' => false),
            'state' => array('type' => self::TYPE_INT, 'required' => true),
        )

    );


    public function __construct($id = null)
    {
        parent::__construct($id);
    }

    /**
     * Return all the saved fields
     *
     * @return Array
     */
    public static function getAll()
    {
        $results = Db::getInstance()->executeS('SELECT * FROM '._DB_PREFIX_.self::$definition['table'].'');

        return $results;
    }

}
