<?php
/**
 * YellowCube PrestaShop Modul
 *
 * Entwicklung: 	Zangger Websolutions
 * Web:			www.ihrewebagentur.ch
 * Projekt:		www.yellowcube.ihrewebagentur.ch
 * @version:		4.0
 */


class Wab extends ObjectModel
{
    public $yc_reference = '';
    public $presta_reference = '';
    public $timestamp = 0;
    public $statuscode = 0;
    public $state = 0;
    public $statustext = 0;
    public $tracking = 0;

    /**
     * @see ObjectModel::$definition
     */
    public static $definition = array(
        'table' => 'yellowcube_orders',
        'primary' => 'id',
        'fields' => array(
            'yc_reference' => array('type' => self::TYPE_STRING, 'required' => false),
            'presta_reference' => array('type' => self::TYPE_STRING, 'required' => false),
            'timestamp' => array('type' => self::TYPE_DATE, 'required' => false),
            'statuscode' => array('type' => self::TYPE_INT, 'required' => false),
            'state' => array('type' => self::TYPE_INT, 'required' => true),
            'statustext' => array('type' => self::TYPE_STRING, 'required' => false),
            'tracking' => array('type' => self::TYPE_STRING, 'required' => false),
        )
    );


    public function __construct($id = null)
    {
        parent::__construct($id);
    }

    /**
     * Return all the saved fields
     *
     * @return Array
     */
    public static function getAll()
    {
        $results = Db::getInstance()->executeS('SELECT * FROM '._DB_PREFIX_.self::$definition['table'].'');

        return $results;
    }

    public function delete()
    {

        //Db::getInstance()->Execute("DELETE FROM `"._DB_PREFIX_.$this->def['table']."` WHERE `id` = ".(int)$this->id);

        return parent::delete();
    }
}
